%%override

%%def
map(id)=@attr 4=107
map(All Fields)=@attr 1=1016
map(Title)=@attr 1=4 @attr 4=1
map(Author)=@attr 1=1003
map(url)=@attr gils 2=2021
element=B
name(MIT)=Massachusetts Institute of Technology
host(MIT)=library.mit.edu:210/advance
name(loc)=Library of Congress
host(loc)=z3950.loc.gov:7090/voyager
name(bell-labs)=Bell Laboratories Library Network
host(bell-labs)=z3950.bell-labs.com:210/books

debug=0
cache=1
timeout=30
%%begin
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<!-- $Id: advanced.zap,v 1.8 2000/09/14 10:52:27 adam Exp $ -->
<html>
   <head>
      <title>ZAP! Search Result</title>
   </head>
   <body bgcolor="#ffffee" text="#000000">
%%end
      <hr>
      <font size=-2>
      <address><a href="http://www.indexdata.dk/zap/">ZAP!</a></address>
      </font>
   </body>
</html>

%%query-empty
<h1>ZAP! Search Result</h1>
You specified an empty query. Go back and try again!<br>

%%query-ok
<h1>ZAP! Search Result</h1>
Your query was $query.<br>

%%server-error connection
<hr><h2>$name: unavailable</h2>

%%server-error protocol
<hr><h2>$name: Protocol error</h2>

%%server-error init
<hr><h2>$name: Connection rejected</h2>

%%server-error 114
<hr><dt><h2>$name: </h2><dd>You specified a field that this target does not recognise.<br><dt>

%%server-error
<hr><dt><h2>$name: Search error</h2><dd>$errorstring${addinfo?\: $addinfo} ($errorcode)<dt>

%%server-hits 0
<hr><h2>$name: No hits</h2>

%%server-hits 1
<hr><h2>$name: one hit</h2>

%%server-hits
<hr><h2>$name: $hits hits</h2>

%%record sutrs
<dt>
<b>Record #$no in $name</b>
<dd>
<pre>
$record
</pre><br>

%%record usmarc
<b>$no.</b>

%%records begin
<dl>
%%records end
</dl>
<p>
${startprevious?Show the <a href="http\:advanced.zap?start=$startprevious&${field*=}&${term*=}&${op*=}&number=$number&start=$no$&target=$host&${element=}&syntax=usmarc">previous $number records</a> |}

${startnext?Show the <a href="http\:advanced.zap?start=$startnext&${field*=}&${term*=}&${op*=}&number=$number&start=$no$&target=$host&${element=}&syntax=usmarc">next $number records</a>}
<br>


%%format grs1
(1,14):1    "<a href=\"http\:full.zap?$&target=$host&${syntax=}&field1=id&term1=$data\">${(2,1)/(1,19)?${(2,1)/(1,19)}:${(2,1)}}</a><br>"

%%format usmarc
245
245/*
245/*/a:1     "<a href=\"http\:full.zap?$&target=$host&syntax=usmarc&${field*=}&${term*=}&${op*=}&start=$no\">$data</a><br>"
111
111/*
111/*/a:1     "<a href=\"http\:full.zap?$&target=$host&syntax=usmarc&${field*=}&${term*=}&${op*=}&start=$no\">$data</a><br>"
